<?php

namespace app\admin\model;

use app\BaseModel;
use think\facade\Lang;
class ComplaintItem extends BaseModel
{
    protected $autoWriteTimestamp = true;
    protected $createTime = 'created_at';
    protected $updateTime = 'updated_at';
    
    public static function levelList($language_code, $select = false)
    {
        Lang::setLangSet($language_code);
        $levelList = [
            1 => Lang::get('一级'),
            2 => Lang::get('二级'),
            3 => Lang::get('三级'),
        ];
        if ($select) {
            return getSelectData($levelList);
        }
        return $levelList;
    }
}